import React from 'react';
import classNames from 'classnames';
import "./index.less";
var Header = function Header(props) {
  var title = props.title,
    badge = props.badge,
    subTitle = props.subTitle,
    actionsList = props.actionsList,
    className = props.className,
    style = props.style;

  /** 组件类名 */
  var headerClassName = classNames('pisell-grid-pro-header', className);
  return /*#__PURE__*/React.createElement("div", {
    className: headerClassName,
    style: style
  }, /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-header-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-header-title-wrapper"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-header-title"
  }, title || ''), badge && /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-header-badge"
  }, badge)), subTitle && /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-header-subtitle"
  }, subTitle)), actionsList && /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-header-actions"
  }, actionsList));
};
export default Header;